package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务前置资源
 * @ClassName: BusinessFrontResDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/2/10 11:31 AM 
 */
public class BusinessFrontResDTO implements Serializable{
    private static final long serialVersionUID = 5110713023814998443L;

    /**
     * id
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     * 资源code
     */
    private String resourceCode;

    /**
     * 1:页面 2:组件
     */
    private Integer resourceType;

    /**
     * 页面名称
     */
    private String pageName;

    /**
     * 资源详情，页面URL/组件名称
     */
    private String resourceDetail;

    /**
     * 企业ID
     */
    private Integer enterpriseId;

    /**
     * 状态1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceCode() {
        return resourceCode;
    }

    public void setResourceCode(String resourceCode) {
        this.resourceCode = resourceCode;
    }

    public Integer getResourceType() {
        return resourceType;
    }

    public void setResourceType(Integer resourceType) {
        this.resourceType = resourceType;
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName;
    }

    public String getResourceDetail() {
        return resourceDetail;
    }

    public void setResourceDetail(String resourceDetail) {
        this.resourceDetail = resourceDetail;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "BusinessFrontResDTO{" +
                "resourceId=" + resourceId +
                ", resourceName='" + resourceName + '\'' +
                ", resourceCode='" + resourceCode + '\'' +
                ", resourceType=" + resourceType +
                ", pageName='" + pageName + '\'' +
                ", resourceDetail='" + resourceDetail + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
