package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 协作人列表
 * @ClassName: CollaboratorListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/4 10:16 AM 
 */
public class CollaboratorListDTO implements Serializable{
    private static final long serialVersionUID = 1004985676652598819L;

    /**
     * ID
     */
    private Integer collaboratorId;

    /**
     * 名称
     */
    private String collaboratorName;

    /**
     * 商户
     */
    private Integer enterpriseId;

    /**
     * 协作商户
     */
    private Integer collaborationEnterpriseId;

    private String collaborationEnterpriseName;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 添加人名称
     */
    private String creator;
    /**
     * 状态: 0:无效 1:youxiao
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    public Integer getCollaboratorId() {
        return collaboratorId;
    }

    public void setCollaboratorId(Integer collaboratorId) {
        this.collaboratorId = collaboratorId;
    }

    public String getCollaboratorName() {
        return collaboratorName;
    }

    public void setCollaboratorName(String collaboratorName) {
        this.collaboratorName = collaboratorName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getCollaborationEnterpriseId() {
        return collaborationEnterpriseId;
    }

    public void setCollaborationEnterpriseId(Integer collaborationEnterpriseId) {
        this.collaborationEnterpriseId = collaborationEnterpriseId;
    }

    public String getCollaborationEnterpriseName() {
        return collaborationEnterpriseName;
    }

    public void setCollaborationEnterpriseName(String collaborationEnterpriseName) {
        this.collaborationEnterpriseName = collaborationEnterpriseName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "CollaboratorListDTO{" +
                "collaboratorId=" + collaboratorId +
                ", collaboratorName='" + collaboratorName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", collaborationEnterpriseId=" + collaborationEnterpriseId +
                ", collaborationEnterpriseName='" + collaborationEnterpriseName + '\'' +
                ", phone='" + phone + '\'' +
                ", appId='" + appId + '\'' +
                ", appName='" + appName + '\'' +
                ", creator='" + creator + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                '}';
    }
}
